<template>
	<v-app id="inspire">
		<router-view name="appHeader" />
		<div id="app-menu"></div>

		<v-main class="grey lighten-4">
			<router-view />
		</v-main>
	</v-app>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api';
import AppHeader from '@/components/common/AppHeader.vue';

export default defineComponent({
	name: 'App',
	components: {
		AppHeader,
	},
	setup(props, { root }) {
		return {
			drawer: ref(false),
		};
	},
});
</script>

<style>
html,
body,
#inspire,
div.v-application--wrap,
main.v-main {
	height: 100%;
}

body {
	background-color: #f5f5f5;
}
</style>
